# Jenkins快速配置清单 ✅

## 🚀 5分钟快速配置

### ✅ 第1步：安装插件
进入 **管理Jenkins** → **插件管理** → **可选插件**，搜索并安装：
```
Maven Integration Plugin
JaCoCo Plugin
SonarQube Scanner Plugin
Docker Pipeline Plugin
SSH Agent Plugin
Credentials Binding Plugin
```

### ✅ 第2步：配置工具
进入 **管理Jenkins** → **全局工具配置**：

**JDK配置：**
- 名称：`JDK-17`
- JAVA_HOME：`/usr/lib/jvm/java-17-openjdk`

**Maven配置：**
- 名称：`Maven-3.9.3`
- 勾选自动安装，选择版本3.9.3

### ✅ 第3步：配置SonarQube
进入 **管理Jenkins** → **系统配置** → **SonarQube servers**：
- 名称：`SonarQube`
- URL：`http://116.62.163.84:15010`
- Token：`squ_7e4217cabd0faae6f3b8ee359b3b8e2ac52eb69a`

### ✅ 第4步：添加凭据
进入 **管理Jenkins** → **凭据** → **添加凭据**：

**Git凭据：**
- 类型：用户名密码
- ID：`git-credentials`
- 用户名：`wangtianqi`
- 密码：[您的Git密码]

**SSH凭据：**
- 类型：用户名密码
- ID：`deploy-server-ssh`
- 用户名：`root`
- 密码：[服务器root密码]

### ✅ 第5步：创建Pipeline
1. **新建任务** → 输入名称：`java-demo-pipeline` → 选择 **Pipeline**
2. **Pipeline配置**：
   - Definition：`Pipeline script from SCM`
   - SCM：`Git`
   - Repository URL：`http://116.62.163.84:15006/wangtianqi/java_demo.git`
   - Credentials：选择 `git-credentials`
   - Branch：`*/main`
   - Script Path：`Jenkinsfile`

### ✅ 第6步：立即构建
点击 **立即构建**，等待构建完成！

---

## 🎯 验证部署

**生产环境：**
```bash
curl http://116.62.163.84/api/health
```

**测试环境：**
```bash
curl http://116.62.163.84:8080/api/health
```

---

## ⚡ 常用操作

**查看构建日志：** 构建详情页 → 控制台输出
**查看测试报告：** 构建详情页 → 测试结果  
**查看代码覆盖率：** 构建详情页 → JaCoCo代码覆盖率
**查看代码质量：** 访问 `http://116.62.163.84:15010`

**重新构建：** 项目主页 → 立即构建
**清理工作空间：** 项目主页 → 工作空间 → 清理工作空间
**查看Pipeline：** 安装Blue Ocean插件后点击 "Open Blue Ocean"

---

🎉 **配置完成！享受您的CI/CD之旅！**
